#ifndef RECORDPLUGINFACTORY_H__
#define RECORDPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class RecordPluginFactory : public QObject, public ritk::ApplicationPluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::ApplicationPluginFactory)

public:
	/// Constructor
	RecordPluginFactory();
	/// Destructor
	~RecordPluginFactory();

	ritk::ApplicationPlugin* CreateInstance();

	QString GetName();

	QString GetDescription();
};

#endif // RECORDPLUGINFACTORY_H__
